## puppet 2.6.1

=== debian/changelog ===
puppet (2.6.1-0ubuntu2) maverick; urgency=low

  * debian/puppetmaster-passenger.postinst: Use cacrl instead of hostcrl to
    set the location of the CRL in apache2 configuration. Fix apache2 
    configuration on upgrade as well (LP: #641001).

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 21 Sep 2010 13:53:10 -0400

puppet (2.6.1-0ubuntu1) maverick; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Add dependency on "facter" for "puppet-common"
  * Make sure the "puppet-common" package can be purged even when not fully
    installed (Closes: #596163)

  [ Mathias Gug ]
  * New upstream version. 

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 14 Sep 2010 12:05:29 -0400

puppet (2.6.1~rc4-0ubuntu1) maverick; urgency=low

  [ Mathias Gug ]
  * New upstream version:
    - Fix "Puppet standalone broken" (Closes: #594575)
  * test/lib/puppettest/fakes.rb: Fix puppettest to use puppet system 
    library.

  [ Stig Sandbeck Mathisen ]
  * Fix "require" path for puppet queue.

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 07 Sep 2010 10:44:22 -0400

puppet (2.6.1~rc3-1) experimental; urgency=low

  [ Mathias Gug ]
  * New upstream version:
    - fix config.ru file to run puppetmaster as a rack application.
      (Closes: #593557)
  * Fix test suite to run from a package install rather then from the source
    directory:
    + Rakefile: use system puppet.rb file to detect version.
    + spec/unit/application/apply_spec.rb: Fix test suite to use puppet 
      system library.
    + spec/spec_helper.rb: disable gem.
  * Fix init service provider to correctly check the status of services
    using upstart jobs (Closes: #584481, LP: #551544).
  * etckeeper integration (Closes: #571127)
    [server-lucid-puppet-etckeeper-integration]:
    + debian/etckeeper-commit-post, debian/etckeeper-commit-pre:
       Call "etckeeper commit" before and after catalog runs.
       Silently bail out if etckeeper is not available.
    + debian/puppet.conf: Call out to the etckeeper hooks using 
       the prerun_command and postrun_command hooks.
    + debian/rules: Install the etckeeper hook scripts in /etc/puppet.
    + debian/README.Debian: add note about etckeeper integration.
    + debian/control: the puppet package suggests etckeeper.
  * Create puppetmaster-passenger package to automatically setup the
    puppetmaster to be run under mod passenger and apache2:
    - create new puppetmaster-common package to share files between
      puppetmaster (ie webrick) and puppetmaster-passenger.
    - move puppetqd to puppetmaster-common.
    - debian/puppet.conf: enable ssl options so that the default configuration
      works out of the box under passenger.
  * debian/puppet-common.postinst: set permissions and ownership of puppet log
    directory.
  * Move puppetmaster's Recommends to Suggests.

  [ Stig Sandbeck Mathisen ]
  * Recommend lsb-release (Closes: #593606)
  * Recommend debconf-utils (Closes: #593780)
  * ext/puppetlast: removed from upstream
  * Cherry-pick updated man pages from upstream

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 27 Aug 2010 14:32:00 +0200

puppet (2.6.0-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1
  * Release for unstable

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 28 Jul 2010 20:48:21 +0200

puppet (2.6.0-1) experimental; urgency=low

  * New upstream version
  * Fix "short package description doesn't differ from binary package
    puppet", update description of binary package. (Closes: #587364)
  * Move /usr/bin/puppet to the puppet-common package
  * debian/control: Convert Conflicts: to Breaks:
  * debian/control: bump policy version and update project homepage
  * debian/control: Update dependencies/breakages
  * debian/copyright: Remove reference to deprecated bsd license file,
    it is included already
  * move manpage puppet(8) to package puppet-common
  * Debian fix: set correct header in puppet.conf(5)
  * Add puppetqd(8) to the puppetmaster package

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 20 Jul 2010 09:37:22 +0200

puppet (0.25.5-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream version: 0.25.5
  * Adjust conflicts for puppet-common, to ensure upgrade goes well

  [ Mathias Gug ]
  * Add /etc/puppet/templates and /etc/puppet/modules to the puppet-
    common package (Closes: #571129)
  * Add binary package "puppet-testsuite" (Closes: #584480)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 25 Jun 2010 17:27:05 +0200

puppet (0.25.4-6) unstable; urgency=low

  * clarify passenger options in default/puppetmaster 
  * add patch to ext/rack/files/apache2.conf for debian-specific settings
  * debian/control: add version depends on librack-ruby
  * additional start-stop-daemon fix for puppet.init and puppetqd.init
  * debian/rules: actually install config.ru owned by the puppet user,
    this is necessary for proper suid of passenger (closes: #577366)

 -- Micah Anderson <micah@debian.org>  Tue, 20 Apr 2010 16:06:38 -0400

puppet (0.25.4-5) unstable; urgency=low

  * debian/puppetmaster.init: fix invocation of start-stop-daemon (closes:
  * #578066)

 -- Andrew Pollock <apollock@debian.org>  Sat, 17 Apr 2010 20:33:09 -0700

puppet (0.25.4-4) unstable; urgency=low

  [ Andrew Pollock ]
  * debian/watch: update for new upstream location
  * apply patch from Mathias Gug to add /etc/puppet to puppet-common's
    directories so that it is removed on package purge (if empty). Also removes
    /var/log/puppet on purge (closes: #571130)

  [ Micah Anderson ]
  * add Suggests: libselinux-ruby1.8 as puppet supports it, but only
    if the library is present
  * cherry-pick: add puppetmasterd dbconnections option to increase 
    the rails 'max pool size' (redmine: #2568)
  * fix puppetqd initscript status operation 

  [ Andrew Pollock ]
  * debian/rules: don't install config.ru owned by the puppet user (closes:
    #577366)

 -- Andrew Pollock <apollock@debian.org>  Thu, 15 Apr 2010 21:18:32 -0700


