## puppet 2.6.2

=== debian/changelog ===
puppet (2.6.2-5+squeeze9) squeeze-security; urgency=high

  * Import patch for tempfile security vulnerability (CVE-2013-4969)
    Thanks to Luciano Bello <luciano@debian.org>

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 30 Dec 2013 19:00:01 +0100

puppet (2.6.2-5+squeeze8) squeeze-security; urgency=high

  * Add patches to fix YAML vulnerability (CVE-2013-3567)
    Thanks to Raphael Geissert

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 26 Jun 2013 22:01:35 +0200

puppet (2.6.2-5+squeeze7) stable-security; urgency=high

  * Add combined patch to fix puppet vulnerabilities (CVE-2013-1640,
    CVE-2013-1652, CVE-2013-1654, CVE-2013-2274, CVE-2013-2275)
     - CVE-2013-1640: Remote code execution on master from authenticated
       clients
     - CVE-2013-1652: Insufficient input validation
     - CVE-2013-1654: Protocol downgrade
     - CVE-2013-2274: Remote code execution on master from authenticated
       clients
     - CVE-2013-2275: Incorrect default report ACL

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 12 Mar 2013 15:11:14 +0100

puppet (2.6.2-5+squeeze6) stable-security; urgency=high

  * Add patch to fix puppet master vulnerabilities (CVE-2012-3864,
    CVE-2012-3865, CVE-2012-3866, CVE-2012-3867)
     - CVE-2012-3864: Arbitrary file read on the puppet master from
       authenticated clients (high)
     - CVE-2012-3865: Arbitrary file delete/D.O.S on Puppet Master from
       authenticated clients (high)
     - CVE-2012-3866: last_run_report.yaml is world readable (medium)
     - CVE-2012-3867: Insufficient input validation for agent hostnames (low)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 10 Jul 2012 13:57:49 +0200

puppet (2.6.2-5+squeeze5) stable-security; urgency=high

  * fix for appdmg and pkgdmg providers write packages to insecure location
    allowing for an arbitrary symlink attack (CVE-2012-1906)
  * a REST request could be constructed to do an arbitrary filebucket
    read, overriding the puppetmaster's defined location, this is fixed
    with upstream patch. (CVE-2012-1986)
  * fix filebucke denial of service which allowed arbitrary writes on
    the puppetmaster (CVE-2012-1987)
  * fix for filebucket arbitrary code execution that required access
    to the cert on the agent and an unprivileged account on the master
    (CVE-2012-1988)

 -- Micah Anderson <micah@debian.org>  Thu, 05 Apr 2012 11:49:02 -0400

puppet (2.6.2-5+squeeze4) stable-security; urgency=high

  * Execs when run with a user specified, but no group, get the root 
    group. Similarly unexpected privileges are given to providers and
    types (egid remains as root), this is fixed with a patch from
    upstream (CVE-2012-1053)
  * Fix Klogin write through symlink (CVE-2012-1054)

 -- Micah Anderson <micah@debian.org>  Tue, 21 Feb 2012 12:08:43 -0500

puppet (2.6.2-5+squeeze3) stable-security; urgency=high

  * Fix master impersonation attack (CVE-2011-3872)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 26 Oct 2011 16:50:32 +0200

puppet (2.6.2-5+squeeze1) stable-security; urgency=high

  * Resist directory traversal attacks (CVE-2011-3848)
  * Fix SSH authorized_keys symlink attack (CVE-2011-3870)
  * Fix K5login content attack (CVE-2011-3869)
  * Fix predictable temp file using RAL (CVE-2011-3871)
  * Fix file indirector injection (low risk) 

 -- Micah Anderson <micah@debian.org>  Fri, 30 Sep 2011 21:23:53 -0400

puppet (2.6.2-5) stable; urgency=low

  [ Micah Anderson ]
  * Fix puppet service provider to properly use update-rc.d disable API,
    (Closes: #573551)
  
 -- Micah Anderson <micah@debian.org>  Sun, 22 May 2011 15:49:13 -0400

puppet (2.6.2-4) unstable; urgency=low

  * Normalize parameterized classes (Closes: #607294)

 -- Micah Anderson <micah@debian.org>  Thu, 23 Dec 2010 16:15:42 -0500

puppet (2.6.2-3) unstable; urgency=high

  [ Stig Sandbeck Mathisen ]
  * Fix rotation of masterhttpd.log (Closes: #605359)

  [ Nigel Kersten ]
  * Fix remote resource vulnerability when auth.conf is missing

  [ Micah Anderson ]
  * Make puppetqd honor flags from /etc/default/puppetqd (Closes: #605510)
  * Remove the puppetqd PID file on stop (Closes: #605512)
  * Add ext/puppetstoredconfigclean to puppetmaster:/usr/sbin
  * Patch ext/logcheck/puppet to handle new puppet-master 
    Compiled log lines (Closes: #602336)

 -- Nigel Kersten <nigel@explanatorygap.net>  Wed, 01 Dec 2010 07:45:38 -0800

puppet (2.6.2-2) unstable; urgency=low

  * Fix puppetqd initscript PID location
  * Fix default/puppetmaster comments section headings
  * Fix puppetmaster/README.Debian to match new section headings
  * Add missing Suggests on ruby libraries needed for storedconfigs
  * Add missing var/lib/puppet/client_yaml/catalog in 
    puppet-common.dirs (Closes: #557769)

 -- Micah Anderson <micah@debian.org>  Mon, 01 Nov 2010 19:21:55 -0400

puppet (2.6.2-1) unstable; urgency=low

  * New upstream release
    - Fix "Various bugs breaking usability in 2.6.0" (Closes: #597399)
  * ext/puppetlast: removed from upstream

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 17 Oct 2010 21:33:33 +0200

puppet (2.6.0-5) unstable; urgency=low

  * Fix "Puppet standalone broken"; cherry-pick from upstream
    (Closes: #594575)
  * Fix "source file url sent to the master is invalid"; cherry-pick from
    upstream (Closes: #594769)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 14 Sep 2010 10:31:06 +0200

puppet (2.6.0-4) unstable; urgency=high

  * Make sure the "puppet-common" package can be purged even when not
    fully installed (Closes: #596163)
  * Add dependency on "facter" for "puppet-common"
  * Urgency "high" due to RC bug during squeeze freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 11 Sep 2010 10:48:26 +0200

puppet (2.6.0-3) unstable; urgency=low

  * Fix ""Duplicate definition" error when "-" used in class names"
    cherry-pick fix from upstream (Closes: #592305)
  * Fix "Puppet standalone broken"
    cherry-pick from upstream (Closes: #594575)

