## puppet 2.6.4

=== debian/changelog ===
puppet (2.6.4-2ubuntu2) natty; urgency=low

  * debian/puppetmaster.default
    - fix remains of automated merge (LP: #726856)

 -- Andreas Moog <amoog@ubuntu.com>  Tue, 01 Mar 2011 14:04:06 +0100

puppet (2.6.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/puppetmaster-passenger.postinst: Use cacrl instead of hostcrl to
      set the location of the CRL in apache2 configuration. Fix apache2 
      configuration on upgrade as well (LP: #641001)
    - move all puppet dependencies to puppet-common since all the code 
      actually located in puppet-common.
    - move libagueas from a recommend to a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 00:28:43 +0000

puppet (2.6.4-2) unstable; urgency=low

  * Release for unstable
  * Move puppetstoredconfigclean to puppetmaster-common, and set ruby1.8
    as parser to match the rest of the puppet suite

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 07 Feb 2011 07:28:19 +0100

puppet (2.6.4-1) experimental; urgency=low

  [ Micah Anderson ]
  * Make puppetqd honor flags from /etc/default/puppetqd (Closes: #605510)
  * Remove the puppetqd PID file on stop (Closes: #605512)
  * Add ext/puppetstoredconfigclean to puppetmaster:/usr/sbin
  * Patch ext/logcheck/puppet to handle new puppet-master 
    Compiled log lines (Closes: #602336)
  * Fix puppetqd initscript PID location
  * Fix /etc/default/puppetmaster comments to match new section headings
  * Fix puppetmaster/README.Debian to match new section headings
  * Fix Should-Start init header in puppet initscript

  [ Mathias Gug ]
  * New upstream version. 

  [ Stig Sandbeck Mathisen ]
  * debian/puppetmaster.logrotate: send SIGUSR2 on log rotation (Closes:
    #602698)
  * puppet-common: Add versioned dependency on sysv-rc

  [ martin f krafft ]
  * Use update-rc.d enable/disable in the "debian" provider in the
    "service" type (Closes: #573551)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 26 Jan 2011 16:10:56 +0100

puppet (2.6.3-1) experimental; urgency=low

  [ Mathias Gug ]
  * New upstream version.

  [ Stig Sandbeck Mathisen ]
  * debian/control: Adjust dependencies for puppet-testsuite, depend on
    puppet-common instead of puppet and puppetmaster

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 23 Nov 2010 10:40:31 +0100

puppet (2.6.3-0ubuntu1) natty; urgency=low

  * New upstream version.

 -- Mathias Gug <mathiaz@ubuntu.com>  Wed, 17 Nov 2010 13:30:18 -0500

puppet (2.6.3~rc3-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Mathias Gug <mathiaz@ubuntu.com>  Fri, 12 Nov 2010 09:29:36 -0500

puppet (2.6.3~rc2-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Mathias Gug <mathiaz@ubuntu.com>  Tue, 09 Nov 2010 17:47:53 -0500

puppet (2.6.3~rc1-0ubuntu1) natty; urgency=low

  * New upstream version
  * debian/control:
    - move all puppet dependencies to puppet-common since all the code is
      actually located in puppet-common. 
    - move libaugeas from a recommend to a dependency.

 -- Mathias Gug <mathiaz@ubuntu.com>  Thu, 21 Oct 2010 12:52:13 -0400

puppet (2.6.1-1) experimental; urgency=low

  [ Mathias Gug ]
  * New upstream version:
    - Fix "Puppet standalone broken" (Closes: #594575)
  * test/lib/puppettest/fakes.rb: Fix puppettest to use puppet system 
    library.
  * debian/puppetmaster-passenger.postinst: Use cacrl instead of hostcrl to
    set the location of the CRL in apache2 configuration. Fix apache2 
    configuration on upgrade as well (LP: #641001).
  * debian/control:
    - move all puppet dependencies to puppet-common since all the code is
      actually located in puppet-common. 
    - move libaugeas from a recommend to a dependency.

  [ Stig Sandbeck Mathisen ]
  * Fix "require" path for puppet queue.
  * Add dependency on "facter" for "puppet-common"
  * Make sure the "puppet-common" package can be purged even when not fully
    installed (Closes: #596163)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 02 Oct 2010 12:14:37 +0200
