=== debian/rules ===
--- 
+++ 
@@ -67,15 +67,28 @@
 	$(INSTALL) -m0644 ext/emacs/puppet-mode.el			\
 		$(CURDIR)/debian/puppet-el/usr/share/emacs/site-lisp/puppet-mode.el
 
+        # etckeeper integration
+	$(INSTALL) -m0755 debian/etckeeper-commit-pre   \
+		$(CURDIR)/debian/puppet/etc/puppet/etckeeper-commit-pre
+	$(INSTALL) -m0755 debian/etckeeper-commit-post  \
+		$(CURDIR)/debian/puppet/etc/puppet/etckeeper-commit-post
+
 	# Install the rack README as README.rack
 	$(INSTALL) -m0644 ext/rack/README \
-		$(CURDIR)/debian/puppetmaster/usr/share/doc/puppetmaster/README.rack
-	# Install the config.ru and the necessary helper directories
-	$(INSTALL) -d -m0755 $(CURDIR)/debian/puppetmaster/usr/share/puppet/rack/puppetmasterd
-	$(INSTALL) -d -m0755 $(CURDIR)/debian/puppetmaster/usr/share/puppet/rack/puppetmasterd/public
-	$(INSTALL) -d -m0755 $(CURDIR)/debian/puppetmaster/usr/share/puppet/rack/puppetmasterd/tmp
+		$(CURDIR)/debian/puppetmaster-passenger/usr/share/doc/puppetmaster-passenger/README.rack
+	# Install the config.ru
 	$(INSTALL) -m0644 ext/rack/files/config.ru \
-		$(CURDIR)/debian/puppetmaster/usr/share/puppet/rack/puppetmasterd
+		$(CURDIR)/debian/puppetmaster-passenger/usr/share/puppet/rack/puppetmasterd
+	# Install apache2 site configuration template
+	$(INSTALL) -m0644 ext/rack/files/apache2.conf \
+		$(CURDIR)/debian/puppetmaster-passenger/usr/share/puppetmaster-passenger/apache2.site.conf.tmpl
+
+	# strip off the .rb from the puppetstoredconfigclean.rb
+	$(INSTALL) -m 0755 ext/puppetstoredconfigclean.rb \
+		$(CURDIR)/debian/puppetmaster-common/usr/sbin/puppetstoredconfigclean
+	# Explicitly set ruby1.8 as parser, as with the rest of puppet
+	sed -i -e 1s/ruby/ruby1.8/ \
+		$(CURDIR)/debian/puppetmaster-common/usr/sbin/puppetstoredconfigclean
 
 	dh_installexamples -p puppet-common examples/*
