## puppet 2.6.14

=== debian/changelog ===
puppet (2.6.14-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.6.14

 -- Michael Stahnke <stahnma@puppetlabs.com>  Wed, 22 Feb 2012 01:11:43 +0000
