## puppet 2.6.18

=== debian/changelog ===
puppet (2.6.18-1puppetlabs1) hardy lucid oneiric unstable sid squeeze wheezy precise quantal; urgency=low

  * Imported Upstream version 2.6.18

 -- Matthaus Owens <matthaus@puppetlabs.com>  Sun, 10 Mar 2013 01:11:43 +0000
