=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,11 @@
 	touch configure-stamp
 
 
+build-arch: build
+build-indep: build
+
 build: build-stamp
-build-stamp: configure-stamp 
+build-stamp: configure-stamp
 	dh_testdir
 	touch build-stamp
 
@@ -37,19 +40,19 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	rm -f debian/puppet-common.logcheck.ignore.server
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_clean -k
 	dh_installdirs
 
 	# Note sbindir does nothing right now. Leaving in for future
 	# puppet versions where it is respected.
 	$(CURDIR)/install.rb --destdir=debian/tmp --bindir=/usr/bin \
           --sbindir=/usr/sbin --sitelibdir=/usr/lib/ruby/1.8
-        
+
 	# strip executable bit from all the non-executable files.
 	find debian/tmp/usr/lib/ruby/1.8 -type f -perm /u+x,g+x,o+x -exec chmod a-x {} \;
 	# fix the permissions on all of the directories
@@ -67,12 +70,6 @@
 	$(INSTALL) -m0644 ext/emacs/puppet-mode.el			\
 		$(CURDIR)/debian/puppet-el/usr/share/emacs/site-lisp/puppet-mode.el
 
-        # etckeeper integration
-	$(INSTALL) -m0755 debian/etckeeper-commit-pre   \
-		$(CURDIR)/debian/puppet/etc/puppet/etckeeper-commit-pre
-	$(INSTALL) -m0755 debian/etckeeper-commit-post  \
-		$(CURDIR)/debian/puppet/etc/puppet/etckeeper-commit-post
-
 	# Install the rack README as README.rack
 	$(INSTALL) -m0644 ext/rack/README \
 		$(CURDIR)/debian/puppetmaster-passenger/usr/share/doc/puppetmaster-passenger/README.rack
@@ -89,6 +86,9 @@
 	# Explicitly set ruby1.8 as parser, as with the rest of puppet
 	sed -i -e 1s/ruby/ruby1.8/ \
 		$(CURDIR)/debian/puppetmaster-common/usr/sbin/puppetstoredconfigclean
+
+	# Add ext directory
+	cp -pr ext $(CURDIR)/debian/puppet-common/usr/share/puppet
 
 	dh_installexamples -p puppet-common examples/*
 
@@ -114,7 +114,7 @@
 	dh_installman
 	dh_installinit -ppuppetmaster
 	dh_installinit --name=puppetqd
-	dh_installinit -ppuppet --error-handler=true -- defaults 21 
+	dh_installinit -ppuppet --error-handler=true -- defaults 21
 	dh_installlogrotate -i
 	dh_lintian -i
 	dh_compress -i
