## puppet 2.7.1

=== debian/changelog ===
puppet (2.7.1-1ubuntu3) oneiric; urgency=low

  * SECURITY UPDATE: k5login can overwrite arbitrary files as root
    - debian/patches/CVE-2011-3869.patch: adjust type/k5login.rb to securely
      open the file before writing to it as root
    - CVE-2011-3869
  * SECURITY UPDATE: didn't drop privileges before creating and changing
    permissions on SSH keys
    - debian/patches/CVE-2011-3870.patch: adjust ssh_authorized_key/parsed.rb
      to drop privileges before creating the ssh directory and setting
      permissions
    - CVE-2011-3870
  * SECURITY UPDATE: fix predictable temporary filename in ralsh
    - debian/patches/CVE-2011-3871.patch: adjust application/resource.rb to
      use an unpredictable filename
    - CVE-2011-3871
  * SECURITY UPDATE: file indirector injection, similar to CVE-2011-3848
    - secure-indirector-file-backed-terminus-base-cla.patch: Since the
      indirector file backed terminus base class is only used by the test
      suite, remove it and update test cases to use a continuing class.

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 30 Sep 2011 08:29:40 -0500

puppet (2.7.1-1ubuntu2) oneiric; urgency=low

  * SECURITY UPDATE: unauthenticated directory traversal allows writing of
    arbitrary files as puppet master
    - debian/patches/CVE-2011-3848.patch: update lib/puppet/indirector.rb,
      lib/puppet/indirector/ssl_file.rb, lib/puppet/indirector/yaml.rb,
      spec/unit/indirector/ssl_file.rb and spec/unit/indirector/yaml.rb to
      perform proper input validation.
    - CVE-2011-3848
    - LP: #861182

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 28 Sep 2011 07:55:44 -0500

puppet (2.7.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/puppetmaster-passenger.postinst: Use cacrl instead of hostcrl to
      set the location of the CRL in apache2 configuration. Fix apache2
      configuration on upgrade as well (LP: #641001)
    - move all puppet dependencies to puppet-common since all the code
      actually located in puppet-common.
    - move libagueas from a recommend to a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 25 Jul 2011 01:00:37 +0100

puppet (2.7.1-1) UNRELEASED; urgency=low

  * New upstream version
  * Bump Standards-Version (no changes)
  * Adjust debian/source/options to allow for a VCS-generated patch
  * Tell adduser not to create /var/lib/puppet (Closes: #609896)
  * Use dpkg-statoverride to handle permissions
  * Allow the use of file-rc (Closes: #625638)
  * Use the pkg-ruby-extras watch service

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 17 Jul 2011 17:43:31 +0200

puppet (2.6.8-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/puppetmaster-passenger.postinst: Use cacrl instead of hostcrl to
      set the location of the CRL in apache2 configuration. Fix apache2 
      configuration on upgrade as well (LP: #641001)
    - move all puppet dependencies to puppet-common since all the code 
      actually located in puppet-common.
    - move libagueas from a recommend to a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 May 2011 12:37:51 +0100

puppet (2.6.8-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 28 Apr 2011 19:26:00 +0200

puppet (2.6.7-2) unstable; urgency=medium

  * Fix puppetmaster-passenger.postinst to get proper 
    ssl configs (Closes: #620635)
  * Fix maintainer scripts ignoring errors

 -- Micah Anderson <micah@debian.org>  Mon, 11 Apr 2011 11:31:23 -0400

puppet (2.6.7-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 25 Mar 2011 21:10:07 +0100

puppet (2.6.6-1) unstable; urgency=low

  * New upstream release 2.6.6

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Mar 2011 08:42:00 +0100

puppet (2.6.6~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 03 Mar 2011 21:00:31 +0100

puppet (2.6.5-1) unstable; urgency=low

  * New upstream version (Closes: #612894)
  * Remove renamed configuration files now handled by other packages (Closes: #564947, #611615)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Mar 2011 13:59:58 +0100
