## puppet 2.7.6

=== debian/changelog ===
puppet (2.7.6-1) unstable; urgency=high

  * New upstream release (CVE-2011-3872)
  * Remove cherry-picked "groupadd_aix_warning" patch
  * Install all new manpages

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 22 Oct 2011 14:08:22 +0000

puppet (2.7.5-3) unstable; urgency=low

  * Generate certificate properly for puppetmaster-passenger (Closes: #645073)
  * Init scripts: Remove superfluous arguments for agent and queue daemons
  * Move the etckeeper hooks from puppet to puppet-common

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 12 Oct 2011 15:43:24 +0200

puppet (2.7.5-2) unstable; urgency=low

  * Add patch to fix upstream issue #9027 re manages_aix_lam warnings
  * Adjust dependencies. "libstomp-ruby" renamed to "ruby-stomp"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 06 Oct 2011 15:24:59 +0200

puppet (2.7.5-1) unstable; urgency=low

  * New upstream version
  * Remove README.source, the up-to-date information is kept in
    debian/control

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 05 Oct 2011 16:36:28 +0200

puppet (2.7.3-3) unstable; urgency=high

  [Micah Anderson]
  * Fix SSH authorized keys symlink attack (CVE-2011-3870)
  * Fix K5login content attack (CVE-2011-3869)
  * Fix predictable temporary file using RAL (CVE-2011-3871)
  * Fix file indirectory injection

  [Stig Sandbeck Mathisen]
  * Update package conflicts for puppet-el and vim-puppet (Closes: #643657)
  
 -- Micah Anderson <micah@debian.org>  Fri, 30 Sep 2011 21:08:55 -0400

puppet (2.7.3-2) unstable; urgency=high

  * Resist directory traversal attacks (CVE-2011-3848)

 -- Micah Anderson <micah@debian.org>  Wed, 28 Sep 2011 11:00:12 -0400

puppet (2.7.3-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 16 Aug 2011 08:38:28 +0200
