=== debian/control ===
--- 
+++ 
@@ -1,21 +1,42 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
 Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5)
 Build-Depends: debhelper (>= 6.0.7~), openssl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-puppet/puppet.git
 Homepage: http://projects.puppetlabs.com/projects/puppet
 
+Package: puppet-common
+Architecture: all
+Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, libaugeas-ruby1.8, adduser, facter, lsb-base, sysv-rc (>= 2.87) | file-rc
+Recommends: lsb-release, debconf-utils
+Suggests: libselinux-ruby1.8, librrd-ruby1.8
+Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
+Description: Centralized configuration management
+ Puppet lets you centrally manage every important aspect of your system
+ using a cross-platform specification language that manages all the
+ separate elements normally aggregated in different files, like users,
+ cron jobs, and hosts, along with obviously discrete elements like
+ packages, services, and files.
+ .
+ Puppet's simple declarative specification language provides powerful
+ classing abilities for drawing out the similarities between hosts while
+ allowing them to be as specific as necessary, and it handles dependency
+ and prerequisite relationships between objects clearly and explicitly.
+ .
+ This package contains the puppet software and documentation.  For the startup
+ scripts needed to run the puppet agent and master, see the "puppet" and
+ "puppetmaster" packages, respectively.
+
 Package: puppet
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, adduser, facter, lsb-base, puppet-common (= ${binary:Version})
-Recommends: rdoc, libaugeas-ruby1.8
-Suggests: puppet-el, vim-puppet, libselinux-ruby1.8, etckeeper
+Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby1.8
+Recommends: rdoc
+Suggests: puppet-el, vim-puppet, etckeeper
 Description: Centralized configuration management - agent startup and compatibility scripts
  This package contains the startup script and compatbility scripts for the
  puppet agent, which is the process responsible for configuring the local node.
@@ -33,11 +54,12 @@
 
 Package: puppetmaster-common
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8,puppet-common (= ${binary:Version}), facter, lsb-base
+Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${binary:Version}), facter, lsb-base
 Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
-Suggests: apache2 | nginx, mongrel, puppet-el, vim-puppet, stompserver, libstomp-ruby1.8,
- rails (>= 1.2.3-2), rdoc, libldap-ruby1.8
+Suggests: apache2 | nginx, mongrel, puppet-el, vim-puppet,
+ stompserver, ruby-stomp | libstomp-ruby1.8 (>= 1.1.5), rails (>= 1.2.3-2), rdoc,
+ libldap-ruby1.8
 Description: Puppet master common scripts
  This package contains common scripts for the puppet master, 
  which is the server hosting manifests and files for the puppet nodes.
@@ -55,10 +77,8 @@
 
 Package: puppetmaster
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), facter, lsb-base
+Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version})
 Breaks: puppet (<< 0.24.7-1)
-Suggests: apache2 | nginx, mongrel, puppet-el, vim-puppet, stompserver, libstomp-ruby1.8,
- rails (>= 1.2.3-2), rdoc, libldap-ruby1.8
 Description: Centralized configuration management - master startup and compatibility scripts
  This package contains the startup and compatibility scripts for the puppet
  master, which is the server hosting manifests and files for the puppet nodes.
@@ -95,32 +115,11 @@
  and prerequisite relationships between objects clearly and explicitly.
  .
 
-Package: puppet-common
-Architecture: all
-Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, adduser, facter
-Recommends: lsb-release, debconf-utils
-Breaks: puppet (<< 2.6.0~rc2-1), puppetmaster (<< 0.25.4-1)
-Description: Centralized configuration management
- Puppet lets you centrally manage every important aspect of your system
- using a cross-platform specification language that manages all the
- separate elements normally aggregated in different files, like users,
- cron jobs, and hosts, along with obviously discrete elements like
- packages, services, and files.
- .
- Puppet's simple declarative specification language provides powerful
- classing abilities for drawing out the similarities between hosts while
- allowing them to be as specific as necessary, and it handles dependency
- and prerequisite relationships between objects clearly and explicitly.
- .
- This package contains the puppet software and documentation.  For the startup
- scripts needed to run the puppet agent and master, see the "puppet" and
- "puppetmaster" packages, respectively.
-
 Package: vim-puppet
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: vim-addon-manager
-Conflicts: puppet (<< ${source:Version})
+Conflicts: puppet (<< 0.25.4-1)
 Description: syntax highlighting for puppet manifests in vim
  The vim-puppet package provides filetype detection and syntax highlighting for
  puppet manifests (files ending with ".pp").
@@ -128,13 +127,13 @@
 Package: puppet-el
 Architecture: all
 Depends: ${misc:Depends}, emacsen-common
-Conflicts: puppet (<< ${source:Version})
+Conflicts: puppet (<< 0.25.4-1)
 Description: syntax highlighting for puppet manifests in emacs
  The puppet-el package provides syntax highlighting for puppet manifests
 
 Package: puppet-testsuite
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppet (= ${source:Version}), facter, lsb-base, rails (>= 1.2.3-2), rdoc, libldap-ruby1.8, mongrel, librspec-ruby, puppetmaster, git-core, libmocha-ruby1.8
+Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${source:Version}), facter, lsb-base, rails (>= 1.2.3-2), rdoc, libldap-ruby1.8, mongrel, librspec-ruby, git-core, libmocha-ruby1.8
 Recommends: cron
 Suggests: ruby
 Description: Centralized configuration management - test suite
